Release notes v10.X

10.1.0

Features

  • Introduced UserClient#denyMobileAuthWithPushRequest method to cancel selected mobile authentication request

Improvements

Bug-fixes

  • Fixed a potential race condition when writing data to storage

10.0.0

Improvements

  • Added support for TLSv1.3 for Android 10
  • Removed support for TLSv1 and TLSv1.1. The minimum supported version is TLSv1.2
  • The SDK targets the latest Android 10 (API LVL 29)
  • The minimum required Android OS version for the SDK is now 4.4 (API LVL 19)
  • Improved root and debug detection
  • Migrated from SpongyCastle 1.58 to BouncyCastle 1.64
  • Updated third-party dependencies
  • Removed deprecated methods